Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

bumped version to 1.1.0, removed redundant init.rb and updated readme

  • Loading branch information...
commit 38fe76e9f673783a1e191c17b6a99924a29e71c9 1 parent 6903e8e
James Dean Shepherd jamesds authored
Showing with 15 additions and 9 deletions.
  1. +13 −6 README.md
  2. +2 −2 country-select.gemspec
  3. +0 −1  init.rb
19 README.md
View
@@ -6,11 +6,11 @@ Users are strongly advised to evaluate the suitability of this list given their
## Latest Changes
-As of version 1.0.5 a runtime error will be raised if any of the user-supplied priority countries do not correlate with those in the main country list.
+**1.1.0**
-**Note:** this may cause existing applications using country-select to fail, but such failures will highlight incorrect usage, enabling the implementation to be corrected so that correct and accurate data may be gathered.
-
-Thanks to Steve Purcell (http://github.com/purcell) for this addition.
+- Updated the country list to change the name of *Libyan Arab Jamahiriya* to *Libya* according to the [latest ISO 3166 newsletter](http://www.iso.org/iso/nl_vi-11_name_change_for_libya.pdf)
+- A country in the priority list will be selected there and not in the main list (thanks to [yyyc514](https://github.com/jamesds/country-select/pull/3))
+- Removed relics from the pre-gem days
## Installation
@@ -32,9 +32,16 @@ Supplying priority countries to be placed at the top of the list:
country_select("user", "country_name", [ "United Kingdom", "France", "Germany" ])
-## Changelist
+## Version History
+
+**1.0.5**
+
+- Runtime error raised if any of the user-supplied priority countries do not correlate with those in the main country list.
+
+**Note:** this may cause existing applications using country-select to fail, but such failures will highlight incorrect usage, enabling the implementation to be corrected so that correct and accurate data may be gathered.
+
+Thanks to Steve Purcell (http://github.com/purcell) for this addition.
- - **1.0.5** - runtime error raised if any priority countries do not match those in the main country list
- **1.0.4** - updated the country list to match the latest ISO 3166 specification
- **1.0.3** - changed gem name from 'iso-3166-country-select' to just 'country-select'
- **1.0.2** - forked the plugin and made it into a gem
4 country-select.gemspec
View
@@ -1,7 +1,7 @@
Gem::Specification.new do |s|
s.name = 'country-select'
- s.version = '1.0.5'
- s.date = '2011-10-13'
+ s.version = '1.1.0'
+ s.date = '2012-01-06'
s.summary = 'Country select box'
s.description = 'Provides a form helper to insert a country select box using the ISO 3166 country list'
s.authors = [ 'Michael Koziarski', 'James Dean Shepherd' ]
1  init.rb
View
@@ -1 +0,0 @@
-require 'country-select'
Please sign in to comment.
Something went wrong with that request. Please try again.